/*
 * test_tei0003
 *
 * Description:
 * Test hardware of TEI0050 board.
 * This example tests the sdram memory, user leds and user buttons.
 * There are 4 LED sequences for selection: 
 * Case statement sequence, Shift register sequence, Pulse-width modulation and Knightrider sequence
 *
 */


#include "system.h"
#include "stdio.h"
#include "altera_avalon_pio_regs.h"

int main()
{
	alt_8 sel;
	alt_8 n_sel = 0x00;

	printf("\n\n\r================== LED sequences ==================\n\r");
	printf("Toggle between following LED sequences by pressing\n\r");
	printf("the user button:\n\n\r");
	printf("  1. Case statement sequence\n\r");
	printf("  2. Shift register sequence\n\r");
	printf("  3. Pulse-width modulation sequence\n\r");
	printf("  4. Knightrider sequence\n\r");
	printf("\nCurrent LED sequence:\n\r");

	while (1)
	{
		sel = IORD_ALTERA_AVALON_PIO_DATA(PIO_SEL_BASE);

		if (sel != n_sel)
		{
			switch(sel)
			{
			case 0x01: printf("  1. Case statement sequence\n\r"); break;
			case 0x02: printf("  2. Shift register sequence\n\r"); break;
			case 0x04: printf("  3. Pulse-width modulation sequence\n\r"); break;
			case 0x08: printf("  4. Knightrider sequence\n\r"); break;
			default: printf("Error: Select LED sequence failed\n\r"); break;
			}
			n_sel = sel;
		}
	}
	return 0;
}
